Show / Hide Table of Contents

# Class OpenIddictServerEvents.ValidateRevocationRequestContext

Represents an event called for each request to the revocation endpoint to determine if the request is valid and should continue to be processed.

##### Inheritance

System.Object
OpenIddictServerEvents.BaseContext
OpenIddictServerEvents.BaseRequestContext
OpenIddictServerEvents.BaseValidatingContext
OpenIddictServerEvents.BaseValidatingClientContext
OpenIddictServerEvents.ValidateRevocationRequestContext

##### Inherited Members

OpenIddictServerEvents.BaseValidatingClientContext.ClientId
OpenIddictServerEvents.BaseValidatingClientContext.ClientSecret
OpenIddictServerEvents.BaseValidatingContext.IsRejected
OpenIddictServerEvents.BaseValidatingContext.Error
OpenIddictServerEvents.BaseValidatingContext.ErrorDescription
OpenIddictServerEvents.BaseValidatingContext.ErrorUri
OpenIddictServerEvents.BaseValidatingContext.Reject(String, String, String)
OpenIddictServerEvents.BaseRequestContext.IsRequestHandled
OpenIddictServerEvents.BaseRequestContext.IsRequestSkipped
OpenIddictServerEvents.BaseRequestContext.HandleRequest()
OpenIddictServerEvents.BaseRequestContext.SkipRequest()
OpenIddictServerEvents.BaseContext.Transaction
OpenIddictServerEvents.BaseContext.Issuer
OpenIddictServerEvents.BaseContext.EndpointType
OpenIddictServerEvents.BaseContext.Logger
OpenIddictServerEvents.BaseContext.Options
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Server

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class ValidateRevocationRequestContext : OpenIddictServerEvents.BaseValidatingClientContext

### Constructors

#### ValidateRevocationRequestContext(OpenIddictServerTransaction)

Creates a new instance of the OpenIddictServerEvents.ValidateRevocationRequestContext class.

##### Declaration

    public ValidateRevocationRequestContext(OpenIddictServerTransaction transaction)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictServerTransaction | transaction |

### Properties

#### Principal

Gets or sets the security principal extracted from the revoked token, if available.

##### Declaration

    public ClaimsPrincipal? Principal { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<ClaimsPrincipal> |

#### Request

Gets or sets the request.

##### Declaration

    public OpenIddictRequest Request { get; set; }

##### Property Value

Type | Description
--- | ---
OpenIddictRequest |

#### TokenTypeHint

Gets the optional token_type_hint parameter extracted from the revocation request, or `null` if it cannot be found.

##### Declaration

    public string TokenTypeHint { get; }

##### Property Value

Type | Description
--- | ---
System.String |